package net.locusworks.test;

import net.locusworks.common.utils.RandomString;
import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.assertEquals;

public class RandomStringTest {

  @Test
  public void testStaticBytes() {
    for (Integer length = 3; length < 50; length++) {
      assertEquals(RandomString.getBytes(length).length, (int) length);
    }
  }
  
  @Test
  public void testStaticString() {
    for (Integer length = 3; length < 50; length++) {
      String random = RandomString.getString(length);
      assertEquals(random.length(), (int) length);
    }
  }

}
